;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;  ~/.yatex.el for MacOS X WorkShop
;;            KOBAYASHI Taizo <tkoba965@mac.com>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; yatex 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
(setq auto-mode-alist
      (cons (cons "\\.tex$" 'yatex-mode) auto-mode-alist))
(autoload 'yatex-mode "yatex" "Yet Another LaTeX mode" t)

;; platex  Mxdvi
(setq tex-command "platex-euc --src-special"
      dvi2-command "mxdvi")
;; platex  TeXShop
;(setq tex-command "~/Library/TeXShop/bin/platex2pdf-euc"
;      dvi2-command "open -a TeXShop")
;; pdflatex  TeXShop 
;(setq tex-command "pdflatex"
;      dvi2-command "open -a TeXShop")

(setq dviprint-command-format "dvips %s | lpr"
      YaTeX-kanji-code 3 ; (1 JIS, 2 SJIS, 3 EUC)
      YaTeX-use-AMS-LaTeX t ; AMS-LaTeX
      section-name "documentclass"
      makeindex-command "mendex -E"
      bibtex-command "jbibtex -kanji=euc"
      YaTeX-skip-default-reader  t
      YaTeX-latex-message-code 'euc-jp-unix
      YaTeX-use-font-lock t
)

(add-hook 'skk-mode-hook
	(lambda ()
	 (if (eq major-mode 'yatex-mode)
	     (progn
		(define-key skk-j-mode-map "\\" 'self-insert-command)
		(define-key skk-j-mode-map "$" 'YaTeX-insert-dollar)
	  ))
))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; yahtml 
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(setq auto-mode-alist
      (cons (cons "\\.html$" 'yahtml-mode) auto-mode-alist))
(autoload 'yahtml-mode "yahtml" "Yet Another HTML mode" t)
(add-to-list 'auto-mode-alist '("\\.htm\\'" . yahtml-mode))

(setq yahtml-www-browser "open"
      yahtml-lint-program "htmllint"
      yahtml-kanji-code 3)
 
(add-hook 'yahtml-mode-hook
     '(lambda ()
       (auto-fill-mode -1)
       )) 

;;;; <p>򤤤줿</p>
(setq yahtml-always-/p t)
;;;; <li>򤤤줿</li>
(setq yahtml-always-/li t)

;; End:

